#ifndef MYSERVER_H
#define MYSERVER_H

#include <QObject>
#include <QTcpServer>
#include <QTcpSocket>
#include <QTime>

class MyServer : public QObject
{
    Q_OBJECT

private:
    QTcpServer *server;
    quint16    blockSize;
    QVariant   number;

    void sendToClient(QTcpSocket *pSocket, const QString &str);

public:
    explicit MyServer(int nPort, QObject *parent = 0);

signals:

public slots:
    virtual void slotNewConnection();
            void slotReadClient();
};

#endif // MYSERVER_H
